
Redmine - Patch #21159

Hide empty <ul> on project overview

2015-11-05 14:44 - Felix Gliesche

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Felix Gliesche % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 3.2.0   

Description

When there is either no homepage, no subprojects or no visible custom fields for a project present, an empty <ul> is being rendered

on a projects overview. Due to browser presets, this <ul> can cause a space which resolves in an incorrect alignment of the default

boxes (issue tracking, members). See the screenshot before_patch.png for this behaviour.

This patch prevents the empty <ul> from being rendered when none of the above conditions are met. The attached screenshot

after_patch.png shows how it looks when the patch is being applied.

Related issues:

Has duplicate Redmine - Patch #6102: Project page: issues and members box are... Closed 2010-08-11

Associated revisions

Revision 14797 - 2015-11-07 09:04 - Jean-Philippe Lang

Hide empty ul on project overview (#21159).

Patch by Felix Gliesche.

History

#1 - 2015-11-05 14:53 - Felix Gliesche

- File 0001-Hide-empty-ul-on-project-overview.patch added

Housekeeping: The first patch was missing correct indentation.

#2 - 2015-11-05 17:21 - Jan from Planio www.plan.io

- File deleted (0001-Hide-empty-ul-on-project-overview.patch)

#3 - 2015-11-05 17:21 - Jan from Planio www.plan.io

- File deleted (0001-Hide-empty-ul-on-project-overview.patch)

#4 - 2015-11-05 17:21 - Jan from Planio www.plan.io

- Assignee set to Felix Gliesche

This is not working yet as intended. We're uploading a new patch as soon as we have one...

#5 - 2015-11-05 17:57 - Felix Gliesche

- File 0001-Hide-empty-ul-on-project-overview.patch added

Here it is, sorry for the confusion.

#6 - 2015-11-07 09:04 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 3.2.0

Thanks.

#7 - 2015-12-12 08:37 - Go MAEDA

- Has duplicate Patch #6102: Project page: issues and members box are not lined up added
